# ux manifesto

[ted talk stage]
Let me share with you my UX design manifesto.
ready? Are you all prepared to take notes?
**Get out of the user's fucking way.**
Thank you for attending my ted talk.

There is, or could be, technology that exists to be a means to an end. Instead, software in Current Year is entirely an exercise in being a new obstacle.

## windows

[//TODO: screenshots, or mockup, or cut this paragraph]
You know what finally tipped me over the edge to give up on windows, even if that meant PC gaming went with it?
I was playing warframe, and then windows 10 popped up a full screen ad - on a monitor I couldn't see at the time - that told me "you said you'd sign up for a trial of our cloud bullshit now." I couldn't figure out why the game had ostensibly frozen until I walked around my apartment to sit back at my desk and read this ad, and as ever communicate one of the microsoft-sanctioned responses of "yes I would love to right now" or "yes I would love to but not right now".
No flavor of linux has ever pulled a stunt like that. 

there's a joke about how microsoft shoved windows 11 (and also 10) down everyone's throats, then popped up a window in their way to ask if they would recommend windows to a friend? the joke for socially well-adjusted normal people is: "I need you to understand that people don't recommend each other operating systems." That applies, for them. But for nerds who are currently staring at several screens running several different flavors of linux... People do. But the people who do understand how terrible windows 11 is, and how it's only getting worse. 
[note] Speaking of, don't worry, I don't have plans to evangelize for my favorite operating system. Presently.

## phones

as bad as desktop interfaces are, phones are the worst. 100% of interactions with phones are miserable and infuriating. And I don't mean interactions with people on social media, I mean the hardware and the apps. 
[some on screen reference to What Apple Hath Wrought]
But let's not retread who and why, let's focus on the what.

### keyboard

Keyboards.
typing on a phone, need I say more?

[other] "keyboards are obsolete, just talk."

that's stupid. Spell this regex: 

[on screen] `/bb|[^b]{2}/`.

[other] "regexes considered harmful."

duck off you trend-fixated piece or spit. You may want to throw away superior tools in favor of fresh ones, but no one should spend $1000 on a toy that does nothing more than signal the correct brand loyalty.

### GPS

GPS.
you know why people put up with google's tracking? because for as much dumb bullshit as waze is laden with, for as wrong as apple is, and for as much as google maps is a thinly veiled excuse for google to catalog your gps position down to the meter and second... those 3 are the only apps that offer driving directions and understand the concept of a road.
[Osmand+ doing its thing]

### notifications

the vast majority of apps do not need to give notifications. Honestly the vast majority of mobile apps don't need to exist at all, but I can only argue that case-by-case.
//TODO: examples. obviously I get rid of apps that pull this shit, stat.

### automation

question: how do you automate your phone? if you try and do some research online, both sides of the walled gardens have a *plethora* of stupid ways to decrease your productivity of automating *other* stuff *from* your phone. But since your phone is the nexus of your security and identity, you aren't allowed to let anything go poking around in it.
So there is almost *no* concept of "automating a phone".
And therefore you'll have to pull up DAVx and hit refresh, manually, several times a day.
[//TODO: footage]
You're begrudgingly allowed to install apps without google's blessing through 3rd party app stores, but you may not automatically update them.
[//TODO: screenshot of update from fdroid]
Worst of all: companies have fully embraced the trend that while they aren't capable of crafting a concise UI with the benefit of a full size screen... surely they'll get it right this time in a harder environment? So companies tend to unapologetically introduce or update features *only* for their mobile interfaces.
[//TODO: examples]

### files

there's a joke that millenials (and gen-z-ers) have to teach boomers how to open a PDF. But apple-loyalty is most rampant among them - I dare you to try this exercise.  Bring up your preferred communications-with-strangers app (e.g., X). 
[xkcd about how apps tell you about their updates]
Dismiss the patch notes. Find an image you'd like to interact with later. Maybe you want to draw on it. maybe you just want to send it as is. Download it.

where is it? fuck knows. For the sake of lip-service to the concept of security, much work has been done to ensure apps aren't allowed to share files.
[show an old-timey balance scale, put the downsides on one side]
In exchange for the twin downsides of "virtually every app is pointless" and "a truly useful app is prevented from existing", we have accomplished nothing in the way of privacy.
[pitch meeting] "oh, whoops!" "whoopsie!"

Ogg Vorbis *continues* to be superior to mp3. More fidelity. More efficient compression. But apple says mp3 is fine, so, rest in peace OGG. you were the OG.
...G.
Don't worry, there's a million billion music player apps. The only problem is that none of them matter. You know what *would* be great? if you could download an audio codec on the play store, and whatever music player app you like could use it. But that would require apps to interact with each other.

### web

you know why people put up with google dictating your experience to maximize your diet of ads? because here's the alternative.
Firefox on the desktop is the last web browser that was a Great Thing. largely, for the most part, they're trying to preserve at least some of that.
Firefox on mobile is absolutely not making any such attempt.  It does what all the other mobile apps are doing: once a day it abuses its notification privileges to advertise to you; "hey come back and run the app again". It frequently updates its UI (to feed its progress addiction), it collects user data. Worst of all, they *had* and then **removed** plugin support. If an adblocker is necessary to browse the web, it's even more necessary to browse the web on mobile. We should all think less of the mozilla foundation for the 2020 change. 
[there was drama on the internet about the change they made, show some of that]
(fortunately they were sufficiently pressured to walk back their mistake.)
[I think in 2023 they said "ff mobile is getting plugin support". it might be google's antisolution version?]

# fix

[//TODO: fact-check - I'm pretty sure I heard they're decreasing in effectiveness? if I'm wrong, it's still safe to say everyone hates ads.]
because no one likes ads, if you're a professional Marketer, you market *yourself* on the grounds that you can make a stronger impression. Which means making your ads more intrusive.
Everyone hates ads. Everyone hates pop-up ads **much** more, because they pop-up.
[note] I thought this was obvious, and yet...
No one has ever googled something, read a random blog's page, and signed up for its newsletter.
No one has ever opened their phone's music player or GPS app and read the patch notes - and I say that as someone who did read the patch notes for skullgirls, and always reads EULAs.

These apps don't think they're a means to an end. They think they're an ℯ𝓍𝓅ℯ𝓇𝒾ℯ𝓃𝒸ℯ. 
[crash different video: you're taking part in the apple experience, etc]
They want to *increase* the time spent in an app. I assume this is favorable for ad revenue metrics.
surely the same app is better when it *decreases* the time it takes to get shit done.

take for example, Discord. They've given themselves loads of work to produce features other than real time chat to justify asking you for money. Meanwhile it only exists because their userbase refuses to use Matrix.
If I want to upload, caption, and then send you a funny picture, obviously it's bad if "waiting for discord to start" takes a large portion of this time. Worse still if "finding where discord moved the stuff I'm looking for" is significant.
It's almost funny that they're audacious enough to throw a wrench in this pipeline asking me to read two thousand words about the changes they're very proud of getting 2/3rds of the way done before release, that 2/3rds of their users don't want and 2/3rds don't understand. I'm trying to *do* something, if there was ever a time I would read your patch notes, it's not now.
